<?php
/**
 * Admin View: Page - Status
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$current_tab = ! empty( $_REQUEST['tab'] ) ? sanitize_title( $_REQUEST['tab'] ) : 'status';
$tabs        = array(
	'status' => __( 'System status', 'kkart' ),
	'tools'  => __( 'Tools', 'kkart' ),
	'logs'   => __( 'Logs', 'kkart' ),
);
$tabs        = apply_filters( 'kkart_admin_status_tabs', $tabs );
?>
<div class="wrap kkart">
	<nav class="nav-tab-wrapper kkart-nav-tab-wrapper">
		<?php
		foreach ( $tabs as $name => $label ) {
			echo '<a href="' . admin_url( 'admin.php?page=kkart-status&tab=' . $name ) . '" class="nav-tab ';
			if ( $current_tab == $name ) {
				echo 'nav-tab-active';
			}
			echo '">' . $label . '</a>';
		}
		?>
	</nav>
	<h1 class="screen-reader-text"><?php echo esc_html( $tabs[ $current_tab ] ); ?></h1>
	<?php
	switch ( $current_tab ) {
		case 'tools':
			KKART_Admin_Status::status_tools();
			break;
		case 'logs':
			KKART_Admin_Status::status_logs();
			break;
		default:
			if ( array_key_exists( $current_tab, $tabs ) && has_action( 'kkart_admin_status_content_' . $current_tab ) ) {
				do_action( 'kkart_admin_status_content_' . $current_tab );
			} else {
				KKART_Admin_Status::status_report();
			}
			break;
	}
	?>
</div>
